package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 硬件版本对象 et_hardware_version
 *
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
@Data
public class RlHardwareVersion extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 生产时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionTime;

    /** 数量 */
    @Excel(name = "数量")
    private Integer quantity;

    /** 版本说明 */
    @Excel(name = "版本说明")
    private String instructions;
}
