package com.ruoyi.system.domain.area;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 运营区对象 rl_operating_area
 *
 * @author qzz
 * @date 2024-09-18
 */
@Data
public class RlOperatingArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 边界值 */
    @Excel(name = "边界值")
    private String boundary;

    /** 边界值（高德地图） */
    @Excel(name = "边界值", readConverterExp = "高=德地图")
    private String boundaryStr;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 运营区状态：0-运营中；1-停运 */
    @Excel(name = "运营区状态：0-运营中；1-停运")
    private String status;

    /** 运营时间:1-全天；2-自定义 */
    @Excel(name = "运营时间:1-全天；2-自定义")
    private String areaTime;

    /** 运营区域外断电：0-关闭；1-开启 */
    @Excel(name = "运营区域外断电：0-关闭；1-开启")
    private String areaOutOutage;

    /** 电子围栏外还车调度:0-关闭；1-开启 */
    @Excel(name = "电子围栏外还车调度:0-关闭；1-开启")
    private String areaOutDispatch;

    /** 安全协议 */
    @Excel(name = "安全协议")
    private String agreement;

    /** 运营开始时间 */
    @Excel(name = "运营开始时间")
    private String areaTimeStart;

    /** 运营结束时间 */
    @Excel(name = "运营结束时间")
    private String areaTimeEnd;

    /** 代理商id */
    @Excel(name = "代理商id")
    private Long agentId;
}
