package com.ruoyi.system.domain.cancelRule;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 取消规则对象 rl_cancel_rule
 *
 * @author qzz
 * @date 2024-09-25
 */
@Data
public class RlCancelRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 取消规则id */
    private Long cancalId;

    /** 取消时间说明 */
    @Excel(name = "取消时间说明")
    private String instructions;

    /** 扣款百分比，0-免费取消；100不可取消 */
    @Excel(name = "扣款百分比，0-免费取消；100不可取消")
    private BigDecimal deductPercent;

    /** 超出取车时间多少小时 */
    @Excel(name = "超出取车时间多少小时")
    private Integer frontOutTime;

    /** 超过多少到多少 */
    @Excel(name = "超过多少到多少")
    private String middleOutTime;

    /** 超过多少小时以上 */
    @Excel(name = "超过多少小时以上")
    private Integer afterOutTime;

    /** 代理商id */
    private Long agentId;

}
