package com.ruoyi.system.domain.changeBalance;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.ChangeBalanceInterface;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 余额变动对象 rl_change_balance
 *
 * @author qzz
 * @date 2024-09-28
 */
@Data
public class RlChangeBalance extends BaseEntity implements ChangeBalanceInterface
{
    private static final long serialVersionUID = 1L;

    /** 变动id */
    private Long changeId;

    /** 关联订单号 */
    @Excel(name = "关联订单号")
    private String orderNo;

    /** 第三方流水号 */
    @Excel(name = "第三方流水号")
    private String outTradeNo;

    /** 收支类型 */
    @Excel(name = "收支类型")
    private String type;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String busType;

    /** 变动前金额 */
    @Excel(name = "变动前金额")
    private BigDecimal beforeBalance;

    /** 代理商结余 */
    @Excel(name = "代理商结余")
    private BigDecimal afterBalance;

    /** 变动金额 */
    @Excel(name = "变动金额")
    private BigDecimal amount;

    /** 所属人名称 */
    @Excel(name = "所属人名称")
    private String ownerName;

    /** 所属人id */
    @Excel(name = "所属人id")
    private Long ownerId;

    /** 手机号 */
    @Excel(name = "手机号")
    private String ownerPhone;

    /** 变动原因 */
    @Excel(name = "变动原因")
    private String reason;

    @Override
    public BigDecimal getChangeAmount() {
        return amount;
    }

    @Override
    public Date getChangeTime() {
//        return changeTime;
        return null;
    }
}
