package com.ruoyi.system.domain.dividendDetail;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 分账明细对象 rl_dividend_detail
 *
 * @author qzz
 * @date 2024-10-10
 */
@Data
public class RlDividendDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 代理商 */
    @Excel(name = "代理商")
    private Long agentId;

    /** 合伙人 */
    @Excel(name = "合伙人")
    private Long partnerId;

    /** 合伙名称 */
    @Excel(name = "合伙人名称")
    private String partnerName;

    /** 合伙名称 */
    @Excel(name = "合伙人名称")
    private String partnerPhone;

    /** 合伙人类型  00系统用户,01普通用户,02代理商,03商户，04调度员） */
    @Excel(name = "合伙人类型  00系统用户,01普通用户,02代理商,03商户，04调度员）")
    private String partnerType;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 订单总金额 */
    @Excel(name = "订单总金额")
    private BigDecimal totalAmount;

    /** 分账金额 */
    @Excel(name = "分账金额")
    private BigDecimal dividendAmount;

    /** 分红比例 */
    @Excel(name = "分红比例")
    private BigDecimal dividendProportion;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundAmount;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

}
