package com.ruoyi.system.domain.model;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 车辆型号对象 et_model
 *
 * @author 邱贞招
 * @date 2024-05-13
 */
@Data
public class RlModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long modelId;

    /** 车型 */
    @Excel(name = "车型")
    private String model;

    /** 代理商 */
    @Excel(name = "代理商")
    private Long agentId;

    /** 满电电压 */
    @Excel(name = "满电电压")
    private Double fullVoltage;

    /** 亏电电压 */
    @Excel(name = "亏电电压")
    private Double lowVoltage;

    /** 满电续航 */
    @Excel(name = "满电续航")
    private Integer fullEndurance;

    /** 简介 */
    @Excel(name = "简介")
    private String intro;

    /** 押金 */
    @Excel(name = "押金")
    private BigDecimal deposit;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 描述 */
    private String description;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

}
