package com.ruoyi.system.domain.order;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.system.domain.RlFunction;
import com.ruoyi.system.domain.accessory.RlAccessoryVO;
import com.ruoyi.system.domain.deliveryOrder.RlDeliveryOrder;
import com.ruoyi.system.domain.dividendDetail.RlDividendDetailVO;
import com.ruoyi.system.domain.orderOper.RlOrderOper;
import com.ruoyi.system.domain.rule.RlFeeRule;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class RlOrderVO extends RlOrder{

    /** 用户名*/
    private String userName;

    /** 姓名*/
    private String realName;

    /** 租车周期描述 */
    private String rentalPeriodText;

//    /** 店铺名称 */
//    private String storeName;

    /** 店铺地址 */
    private String storeAddress;

    /** 代理商 */
    private String agentName;

    @Excel(name = "配件列表")
    private List<RlAccessoryVO> accessorys;

    @Excel(name = "功能列表")
    private List<RlFunction> functionList;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 计费规则 */
    private RlFeeRule rule;

    /** 操作履历 */
    private List<RlOrderOper> orderOpers;

    /** 分账明细 */
    private List<RlDividendDetailVO> rlDividendDetails;

    /** 可退款金额 */
    private BigDecimal refundableTotalAmount;

    private BigDecimal refundableDispatchFee;  // 调度费

    private BigDecimal refundableDeliveryFee;  // 配送费

    private BigDecimal refundableLeaseFee;  // 租赁费（骑行费）

    private BigDecimal refundableDeposit;  // 押金

    /** 配送单状态 */
    private String deliveryStatus;

    /** 配送单对象 */
    private RlDeliveryOrder deliveryOrder;
}
