package com.ruoyi.system.domain.store;

import com.ruoyi.system.domain.model.RlModelVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author 辉
 * 2024/3/5
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class StoreVo extends Store {

    @ApiModelProperty("该店铺下的设备数量")
    private Integer deviceCount;

    @ApiModelProperty("可租车辆")
    private Integer rentalCar;

    @ApiModelProperty("距离(米)")
    private double distance;

    @ApiModelProperty("车型列表")
    private List<RlModelVO> models;

    @ApiModelProperty("最低价")
    private BigDecimal bottomPrice;

    @ApiModelProperty("日营收")
    private BigDecimal dailyRevenue;

    @ApiModelProperty("月营收")
    private BigDecimal monthlyRevenue;

    @ApiModelProperty("上月营收")
    private BigDecimal lastMonthlyRevenue;

    @ApiModelProperty("分成比例")
    private BigDecimal dividendProportion;
}
