package com.ruoyi.system.domain.withdraw;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 提现记录对象 rl_withdraw
 *
 * @author qzz
 * @date 2024-09-28
 */
@Data
public class RlWithdraw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 提现id */
    private Long id;

    /** 提现单号 */
    @Excel(name = "提现单号")
    private String withdrawNo;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal amount;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 驳回原因 */
    @Excel(name = "驳回原因")
    private String rejectReason;

    /** 申请人 */
    @Excel(name = "申请人")
    private String ownerName;

    /** 申请人id */
    @Excel(name = "申请人id")
    private Long ownerId;

    /** 手机号 */
    @Excel(name = "手机号")
    private String ownerPhone;

    /** 手续费 */
    @Excel(name = "手续费")
    private BigDecimal handlingCharge;

    /** 成本 */
    @Excel(name = "成本")
    private BigDecimal cost;

    /** 提现渠道id */
    @Excel(name = "提现渠道id")
    private Long withdrawChannelId;

    /** 提现手续费类型：1-按比例，2-按每笔 */
    private String handlingChargeType;

    /** 服务费 */
    private BigDecimal withdrawHandlingCharge;

}
