package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.cancelRule.RlCancelRule;

import java.util.List;

/**
 * 取消规则Mapper接口
 *
 * @author qzz
 * @date 2024-09-25
 */
public interface RlCancelRuleMapper
{
    /**
     * 查询取消规则
     *
     * @param cancalId 取消规则主键
     * @return 取消规则
     */
    public RlCancelRule selectRlCancelRuleByCancalId(Long cancalId);

    /**
     * 查询取消规则列表
     *
     * @param rlCancelRule 取消规则
     * @return 取消规则集合
     */
    public List<RlCancelRule> selectRlCancelRuleList(RlCancelRule rlCancelRule);

    /**
     * 新增取消规则
     *
     * @param rlCancelRule 取消规则
     * @return 结果
     */
    public int insertRlCancelRule(RlCancelRule rlCancelRule);

    /**
     * 修改取消规则
     *
     * @param rlCancelRule 取消规则
     * @return 结果
     */
    public int updateRlCancelRule(RlCancelRule rlCancelRule);

    /**
     * 删除取消规则
     *
     * @param cancalId 取消规则主键
     * @return 结果
     */
    public int deleteRlCancelRuleByCancalId(Long cancalId);

    /**
     * 批量删除取消规则
     *
     * @param cancalIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlCancelRuleByCancalIds(Long[] cancalIds);

    /**
     * 根据代理商id查询取消规则列表
     *
     * @param agentId 代理商id
     * @return 取消规则集合
     */
    List<RlCancelRule> selectRlCancelRuleListByAgentId(Long agentId);
}
