package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.changeBalance.RlChangeBalance;

import java.util.List;

/**
 * 余额变动Mapper接口
 *
 * @author qzz
 * @date 2024-09-28
 */
public interface RlChangeBalanceMapper
{
    /**
     * 查询余额变动
     *
     * @param changeId 余额变动主键
     * @return 余额变动
     */
    public RlChangeBalance selectRlChangeBalanceByChangeId(Long changeId);

    /**
     * 查询余额变动列表
     *
     * @param rlChangeBalance 余额变动
     * @return 余额变动集合
     */
    public List<RlChangeBalance> selectRlChangeBalanceList(RlChangeBalance rlChangeBalance);

    /**
     * 新增余额变动
     *
     * @param rlChangeBalance 余额变动
     * @return 结果
     */
    public int insertRlChangeBalance(RlChangeBalance rlChangeBalance);

    /**
     * 修改余额变动
     *
     * @param rlChangeBalance 余额变动
     * @return 结果
     */
    public int updateRlChangeBalance(RlChangeBalance rlChangeBalance);

    /**
     * 删除余额变动
     *
     * @param changeId 余额变动主键
     * @return 结果
     */
    public int deleteRlChangeBalanceByChangeId(Long changeId);

    /**
     * 批量删除余额变动
     *
     * @param changeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlChangeBalanceByChangeIds(Long[] changeIds);
}
