package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.RlCommandLog;

import java.util.List;

/**
 * 命令日志Mapper接口
 *
 * @author 邱贞招
 * @date 2024-07-06
 */
public interface RlCommandLogMapper
{
    /**
     * 查询命令日志
     *
     * @param id 命令日志主键
     * @return 命令日志
     */
    public RlCommandLog selectEtCommandLogById(Long id);

    /**
     * 查询命令日志列表
     *
     * @param rlCommandLog 命令日志
     * @return 命令日志集合
     */
    public List<RlCommandLog> selectEtCommandLogList(RlCommandLog rlCommandLog);

    /**
     * 新增命令日志
     *
     * @param rlCommandLog 命令日志
     * @return 结果
     */
    public int insertEtCommandLog(RlCommandLog rlCommandLog);

    /**
     * 修改命令日志
     *
     * @param rlCommandLog 命令日志
     * @return 结果
     */
    public int updateEtCommandLog(RlCommandLog rlCommandLog);

    /**
     * 删除命令日志
     *
     * @param id 命令日志主键
     * @return 结果
     */
    public int deleteEtCommandLogById(Long id);

    /**
     * 批量删除命令日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtCommandLogByIds(Long[] ids);
}
