package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.deliveryOrder.RlDeliveryOrder;
import com.ruoyi.system.domain.deliveryOrder.RlDeliveryOrderVO;

import java.util.List;

/**
 * 配送工单Mapper接口
 *
 * @author qzz
 * @date 2024-10-10
 */
public interface RlDeliveryOrderMapper
{
    /**
     * 查询配送工单
     *
     * @param deliveryId 配送工单主键
     * @return 配送工单
     */
    public RlDeliveryOrder selectRlDeliveryOrderByDeliveryId(Long deliveryId);


    /**
     * 根据订单号查询配送工单
     *
     * @param orderNo 订单号
     * @return 配送工单
     */
    public RlDeliveryOrder selectRlDeliveryOrderByOrderNo(String orderNo);

    /**
     * 查询配送工单列表
     *
     * @param rlDeliveryOrder 配送工单
     * @return 配送工单集合
     */
    public List<RlDeliveryOrderVO> selectRlDeliveryOrderList(RlDeliveryOrder rlDeliveryOrder);

    /**
     * 新增配送工单
     *
     * @param rlDeliveryOrder 配送工单
     * @return 结果
     */
    public int insertRlDeliveryOrder(RlDeliveryOrder rlDeliveryOrder);

    /**
     * 修改配送工单
     *
     * @param rlDeliveryOrder 配送工单
     * @return 结果
     */
    public int updateRlDeliveryOrder(RlDeliveryOrder rlDeliveryOrder);

    /**
     * 删除配送工单
     *
     * @param deliveryId 配送工单主键
     * @return 结果
     */
    public int deleteRlDeliveryOrderByDeliveryId(Long deliveryId);

    /**
     * 批量删除配送工单
     *
     * @param deliveryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlDeliveryOrderByDeliveryIds(Long[] deliveryIds);

}
