package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.deliveryOrderOper.RlDeliveryOrderOper;

import java.util.List;

/**
 * 配送单履历Mapper接口
 *
 * @author qzz
 * @date 2024-10-10
 */
public interface RlDeliveryOrderOperMapper
{
    /**
     * 查询配送单履历
     *
     * @param operId 配送单履历主键
     * @return 配送单履历
     */
    public RlDeliveryOrderOper selectRlDeliveryOrderOperByOperId(Long operId);

    /**
     * 查询配送单履历列表
     *
     * @param rlDeliveryOrderOper 配送单履历
     * @return 配送单履历集合
     */
    public List<RlDeliveryOrderOper> selectRlDeliveryOrderOperList(RlDeliveryOrderOper rlDeliveryOrderOper);

    /**
     * 新增配送单履历
     *
     * @param rlDeliveryOrderOper 配送单履历
     * @return 结果
     */
    public int insertRlDeliveryOrderOper(RlDeliveryOrderOper rlDeliveryOrderOper);

    /**
     * 修改配送单履历
     *
     * @param rlDeliveryOrderOper 配送单履历
     * @return 结果
     */
    public int updateRlDeliveryOrderOper(RlDeliveryOrderOper rlDeliveryOrderOper);

    /**
     * 删除配送单履历
     *
     * @param operId 配送单履历主键
     * @return 结果
     */
    public int deleteRlDeliveryOrderOperByOperId(Long operId);

    /**
     * 批量删除配送单履历
     *
     * @param operIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlDeliveryOrderOperByOperIds(Long[] operIds);
}
