package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.accessory.RlAccessoryVO;
import com.ruoyi.system.domain.deviceAccessory.RlDeviceAccessory;

import java.util.List;

/**
 * 车辆配件Mapper接口
 *
 * @author qzz
 * @date 2024-09-23
 */
public interface RlDeviceAccessoryMapper
{
    /**
     * 查询车辆配件
     *
     * @param accessoryId 车辆配件主键
     * @return 车辆配件
     */
    public RlDeviceAccessory selectRlDeviceAccessoryByAccessoryId(Long accessoryId);

    /**
     * 查询车辆配件列表
     *
     * @param rlDeviceAccessory 车辆配件
     * @return 车辆配件集合
     */
    public List<RlDeviceAccessory> selectRlDeviceAccessoryList(RlDeviceAccessory rlDeviceAccessory);

    /**
     * 新增车辆配件
     *
     * @param rlDeviceAccessory 车辆配件
     * @return 结果
     */
    public int insertRlDeviceAccessory(RlDeviceAccessory rlDeviceAccessory);

    /**
     * 修改车辆配件
     *
     * @param rlDeviceAccessory 车辆配件
     * @return 结果
     */
    public int updateRlDeviceAccessory(RlDeviceAccessory rlDeviceAccessory);

    /**
     * 删除车辆配件
     *
     * @param accessoryId 车辆配件主键
     * @return 结果
     */
    public int deleteRlDeviceAccessoryByAccessoryId(Long accessoryId);

    /**
     * 批量删除车辆配件
     *
     * @param accessoryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlDeviceAccessoryByAccessoryIds(Long[] accessoryIds);


    int deleteRlDeviceAccessoryByDeviceId(Long deviceId);
}
