package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.dividendDetail.RlDividendDetail;
import com.ruoyi.system.domain.dividendDetail.RlDividendDetailVO;

import java.util.List;

/**
 * 分账明细Mapper接口
 *
 * @author qzz
 * @date 2024-10-10
 */
public interface RlDividendDetailMapper
{
    /**
     * 查询分账明细
     *
     * @param id 分账明细主键
     * @return 分账明细
     */
    public RlDividendDetail selectRlDividendDetailById(Long id);

    /**
     * 查询分账明细列表
     *
     * @param rlDividendDetail 分账明细
     * @return 分账明细集合
     */
    public List<RlDividendDetailVO> selectRlDividendDetailList(RlDividendDetail rlDividendDetail);

    /**
     * 新增分账明细
     *
     * @param rlDividendDetail 分账明细
     * @return 结果
     */
    public int insertRlDividendDetail(RlDividendDetail rlDividendDetail);

    /**
     * 修改分账明细
     *
     * @param rlDividendDetail 分账明细
     * @return 结果
     */
    public int updateRlDividendDetail(RlDividendDetail rlDividendDetail);

    /**
     * 删除分账明细
     *
     * @param id 分账明细主键
     * @return 结果
     */
    public int deleteRlDividendDetailById(Long id);

    /**
     * 批量删除分账明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlDividendDetailByIds(Long[] ids);
}
