package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.modelRule.RlModelRule;

import java.util.List;

/**
 * 车型和收费方式关联Mapper接口
 *
 * @author qzz
 * @date 2024-10-18
 */
public interface RlModelRuleMapper
{
    /**
     * 查询车型和收费方式关联
     *
     * @param modelId 车型和收费方式关联主键
     * @return 车型和收费方式关联
     */
    public RlModelRule selectRlModelRuleByModelId(Long modelId);

    /**
     * 查询车型和收费方式关联列表
     *
     * @param rlModelRule 车型和收费方式关联
     * @return 车型和收费方式关联集合
     */
    public List<RlModelRule> selectRlModelRuleList(RlModelRule rlModelRule);

    /**
     * 新增车型和收费方式关联
     *
     * @param rlModelRule 车型和收费方式关联
     * @return 结果
     */
    public int insertRlModelRule(RlModelRule rlModelRule);

    /**
     * 修改车型和收费方式关联
     *
     * @param rlModelRule 车型和收费方式关联
     * @return 结果
     */
    public int updateRlModelRule(RlModelRule rlModelRule);

    /**
     * 删除车型和收费方式关联
     *
     * @param modelId 车型和收费方式关联主键
     * @return 结果
     */
    public int deleteRlModelRuleByModelId(Long modelId);

    /**
     * 批量删除车型和收费方式关联
     *
     * @param modelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlModelRuleByModelIds(Long[] modelIds);
}
