package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.modelStore.RlModelStore;

import java.util.List;

/**
 * 车型店铺关系Mapper接口
 *
 * @author qzz
 * @date 2024-09-25
 */
public interface RlModelStoreMapper
{
    /**
     * 查询车型店铺关系
     *
     * @param modeId 车型店铺关系主键
     * @return 车型店铺关系
     */
    public RlModelStore selectRlModelStoreByModeId(Long modeId);

    /**
     * 查询车型店铺关系列表
     *
     * @param rlModelStore 车型店铺关系
     * @return 车型店铺关系集合
     */
    public List<RlModelStore> selectRlModelStoreList(RlModelStore rlModelStore);


    /**
     * 新增车型店铺关系
     *
     * @param rlModelStore 车型店铺关系
     * @return 结果
     */
    public int insertRlModelStore(RlModelStore rlModelStore);

    /**
     * 修改车型店铺关系
     *
     * @param rlModelStore 车型店铺关系
     * @return 结果
     */
    public int updateRlModelStore(RlModelStore rlModelStore);

    /**
     * 删除车型店铺关系
     *
     * @param modeId 车型店铺关系主键
     * @return 结果
     */
    public int deleteRlModelStoreByModeId(Long modeId);

    /**
     * 批量删除车型店铺关系
     *
     * @param modeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlModelStoreByModeIds(Long[] modeIds);

    /**
     * 根据店铺id删除车型店铺关系信息
     *
     * @param storeId 店铺id
     * @return 结果
     */
    public int deleteRlModelStoreByStoreId(Long storeId);
}
