package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.RlOnlineLog;

import java.util.List;

/**
 * 在线/离线日志Mapper接口
 *
 * @author 邱贞招
 * @date 2024-07-13
 */
public interface RlOnlineLogMapper
{
    /**
     * 查询在线/离线日志
     *
     * @param id 在线/离线日志主键
     * @return 在线/离线日志
     */
    public RlOnlineLog selectEtOnlineLogById(Long id);

    /**
     * 查询在线/离线日志列表
     *
     * @param rlOnlineLog 在线/离线日志
     * @return 在线/离线日志集合
     */
    public List<RlOnlineLog> selectEtOnlineLogList(RlOnlineLog rlOnlineLog);

    /**
     * 新增在线/离线日志
     *
     * @param rlOnlineLog 在线/离线日志
     * @return 结果
     */
    public int insertEtOnlineLog(RlOnlineLog rlOnlineLog);

    /**
     * 修改在线/离线日志
     *
     * @param rlOnlineLog 在线/离线日志
     * @return 结果
     */
    public int updateEtOnlineLog(RlOnlineLog rlOnlineLog);

    /**
     * 删除在线/离线日志
     *
     * @param id 在线/离线日志主键
     * @return 结果
     */
    public int deleteEtOnlineLogById(Long id);

    /**
     * 批量删除在线/离线日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtOnlineLogByIds(Long[] ids);
}
