package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.area.RlOperatingArea;
import com.ruoyi.system.domain.area.RlOperatingAreaVO;

import java.util.List;

/**
 * 运营区Mapper接口
 *
 * @author qzz
 * @date 2024-09-18
 */
public interface RlOperatingAreaMapper
{
    /**
     * 查询运营区
     *
     * @param areaId 运营区主键
     * @return 运营区
     */
    public RlOperatingArea selectRlOperatingAreaByAreaId(Long areaId);

    /**
     * 查询运营区
     *
     * @param agentId 运营区主键
     * @return 运营区
     */
    public RlOperatingAreaVO selectRlOperatingAreaByAgentId(Long agentId);

    /**
     * 查询运营区列表
     *
     * @param rlOperatingArea 运营区
     * @return 运营区集合
     */
    public List<RlOperatingArea> selectRlOperatingAreaList(RlOperatingArea rlOperatingArea);

    /**
     * 新增运营区
     *
     * @param rlOperatingArea 运营区
     * @return 结果
     */
    public int insertRlOperatingArea(RlOperatingArea rlOperatingArea);

    /**
     * 修改运营区
     *
     * @param rlOperatingArea 运营区
     * @return 结果
     */
    public int updateRlOperatingArea(RlOperatingArea rlOperatingArea);

    /**
     * 删除运营区
     *
     * @param areaId 运营区主键
     * @return 结果
     */
    public int deleteRlOperatingAreaByAreaId(Long areaId);

    /**
     * 批量删除运营区
     *
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlOperatingAreaByAreaIds(Long[] areaIds);
}
