package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.orderOper.RlOrderOper;

import java.util.List;

/**
 * 操作操作履历Mapper接口
 *
 * @author qzz
 * @date 2024-10-10
 */
public interface RlOrderOperMapper
{
    /**
     * 查询操作操作履历
     *
     * @param operId 操作操作履历主键
     * @return 操作操作履历
     */
    public RlOrderOper selectRlOrderOperByOperId(Long operId);

    /**
     * 查询操作操作履历列表
     *
     * @param rlOrderOper 操作操作履历
     * @return 操作操作履历集合
     */
    public List<RlOrderOper> selectRlOrderOperList(RlOrderOper rlOrderOper);

    /**
     * 新增操作操作履历
     *
     * @param rlOrderOper 操作操作履历
     * @return 结果
     */
    public int insertRlOrderOper(RlOrderOper rlOrderOper);

    /**
     * 修改操作操作履历
     *
     * @param rlOrderOper 操作操作履历
     * @return 结果
     */
    public int updateRlOrderOper(RlOrderOper rlOrderOper);

    /**
     * 删除操作操作履历
     *
     * @param operId 操作操作履历主键
     * @return 结果
     */
    public int deleteRlOrderOperByOperId(Long operId);

    /**
     * 批量删除操作操作履历
     *
     * @param operIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlOrderOperByOperIds(Long[] operIds);
}
