package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.userExt.RlUserExt;

import java.util.List;

/**
 * 用户扩展Mapper接口
 *
 * @author qzz
 * @date 2024-10-07
 */
public interface RlUserExtMapper
{
    /**
     * 查询用户扩展
     *
     * @param extId 用户扩展主键
     * @return 用户扩展
     */
    public RlUserExt selectRlUserExtByExtId(Long extId);

    /**
     * 查询用户扩展
     *
     * @param userId 用户扩展主键
     * @return 用户扩展
     */
    public RlUserExt selectRlUserExtByUserId(Long userId);

    /**
     * 查询用户扩展列表
     *
     * @param rlUserExt 用户扩展
     * @return 用户扩展集合
     */
    public List<RlUserExt> selectRlUserExtList(RlUserExt rlUserExt);

    /**
     * 新增用户扩展
     *
     * @param rlUserExt 用户扩展
     * @return 结果
     */
    public int insertRlUserExt(RlUserExt rlUserExt);

    /**
     * 修改用户扩展
     *
     * @param rlUserExt 用户扩展
     * @return 结果
     */
    public int updateRlUserExt(RlUserExt rlUserExt);

    /**
     * 删除用户扩展
     *
     * @param extId 用户扩展主键
     * @return 结果
     */
    public int deleteRlUserExtByExtId(Long extId);

    /**
     * 批量删除用户扩展
     *
     * @param extIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlUserExtByExtIds(Long[] extIds);

    /**
     * 根据userId删除用户扩展信息
     *
     * @param userId 用户id
     * @return 结果
     */
    int deleteRlUserExtByUserId(Long userId);
}
