package com.ruoyi.system.service;

import com.ruoyi.system.domain.agent.RlAgent;
import com.ruoyi.system.domain.agent.RlAgentVO;

import java.util.List;

/**
 * 代理商Service接口
 *
 * @author qzz
 * @date 2024-09-18
 */
public interface IRlAgentService
{
    /**
     * 查询代理商
     *
     * @param agentId 代理商主键
     * @return 代理商
     */
    public RlAgentVO selectRlAgentByAgentId(Long agentId);

    /**
     * 根据城市id查询代理商
     *
     * @param cityId 城市id
     * @return 代理商
     */
    public RlAgentVO selectRlAgentByCityId(Long cityId);

    /**
     * 根据用户id查询代理商
     *
     * @param userId 用户id
     * @return 代理商
     */
    public RlAgentVO selectRlAgentByUserId(Long userId);

    /**
     * 查询代理商列表
     *
     * @param rlAgent 代理商
     * @return 代理商集合
     */
    public List<RlAgentVO> selectRlAgentList(RlAgent rlAgent);

    /**
     * 新增代理商
     *
     * @param rlAgent 代理商
     * @return 结果
     */
    public int insertRlAgent(RlAgent rlAgent);

    /**
     * 修改代理商
     *
     * @param rlAgent 代理商
     * @return 结果
     */
    public int updateRlAgent(RlAgent rlAgent);

    /**
     * 批量删除代理商
     *
     * @param agentIds 需要删除的代理商主键集合
     * @return 结果
     */
    public int deleteRlAgentByAgentIds(Long[] agentIds);

    /**
     * 删除代理商信息
     *
     * @param agentId 代理商主键
     * @return 结果
     */
    public int deleteRlAgentByAgentId(Long agentId);
}
