package com.ruoyi.system.service;

import com.ruoyi.common.constant.ServiceConstants;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.deliveryOrderOper.RlDeliveryOrderOper;

import java.util.List;

/**
 * 配送单履历Service接口
 *
 * @author qzz
 * @date 2024-10-10
 */
public interface IRlDeliveryOrderOperService
{
    /**
     * 查询配送单履历
     *
     * @param operId 配送单履历主键
     * @return 配送单履历
     */
    public RlDeliveryOrderOper selectRlDeliveryOrderOperByOperId(Long operId);

    /**
     * 查询配送单履历列表
     *
     * @param rlDeliveryOrderOper 配送单履历
     * @return 配送单履历集合
     */
    public List<RlDeliveryOrderOper> selectRlDeliveryOrderOperList(RlDeliveryOrderOper rlDeliveryOrderOper);

    /**
     * 新增配送单履历
     *
     * @param rlDeliveryOrderOper 配送单履历
     * @return 结果
     */
    public int insertRlDeliveryOrderOper(RlDeliveryOrderOper rlDeliveryOrderOper);

    /**
     * 修改配送单履历
     *
     * @param rlDeliveryOrderOper 配送单履历
     * @return 结果
     */
    public int updateRlDeliveryOrderOper(RlDeliveryOrderOper rlDeliveryOrderOper);

    /**
     * 批量删除配送单履历
     *
     * @param operIds 需要删除的配送单履历主键集合
     * @return 结果
     */
    public int deleteRlDeliveryOrderOperByOperIds(Long[] operIds);

    /**
     * 删除配送单履历信息
     *
     * @param operId 配送单履历主键
     * @return 结果
     */
    public int deleteRlDeliveryOrderOperByOperId(Long operId);

    /**
     * 添加工单履历日志
     *
     * @param userId 用户id
     * @param userName 用户名
     * @return 结果
     */
    public int deliveryOrderOperLog(Long userId, String userName, String phone, Long deliveryId,String type);
}
