package com.ruoyi.system.service;

import com.ruoyi.system.domain.deviceAccessory.RlDeviceAccessory;

import java.util.List;

/**
 * 车辆配件Service接口
 *
 * @author qzz
 * @date 2024-09-23
 */
public interface IRlDeviceAccessoryService
{
    /**
     * 查询车辆配件
     *
     * @param accessoryId 车辆配件主键
     * @return 车辆配件
     */
    public RlDeviceAccessory selectRlDeviceAccessoryByAccessoryId(Long accessoryId);

    /**
     * 查询车辆配件列表
     *
     * @param rlDeviceAccessory 车辆配件
     * @return 车辆配件集合
     */
    public List<RlDeviceAccessory> selectRlDeviceAccessoryList(RlDeviceAccessory rlDeviceAccessory);

    /**
     * 新增车辆配件
     *
     * @param rlDeviceAccessory 车辆配件
     * @return 结果
     */
    public int insertRlDeviceAccessory(RlDeviceAccessory rlDeviceAccessory);

    /**
     * 修改车辆配件
     *
     * @param rlDeviceAccessory 车辆配件
     * @return 结果
     */
    public int updateRlDeviceAccessory(RlDeviceAccessory rlDeviceAccessory);

    /**
     * 批量删除车辆配件
     *
     * @param accessoryIds 需要删除的车辆配件主键集合
     * @return 结果
     */
    public int deleteRlDeviceAccessoryByAccessoryIds(Long[] accessoryIds);

    /**
     * 删除车辆配件信息
     *
     * @param accessoryId 车辆配件主键
     * @return 结果
     */
    public int deleteRlDeviceAccessoryByAccessoryId(Long accessoryId);

    /**
     * 根据车辆id删除车辆配件信息
     *
     * @param deviceId 车辆id
     * @return 结果
     */
    public int deleteRlDeviceAccessoryByDeviceId(Long deviceId);
}
