package com.ruoyi.system.service;

import com.ruoyi.system.domain.rule.RlFeeRule;

import java.util.List;

/**
 * 收费模板Service接口
 *
 * @author qzz
 * @date 2024-09-19
 */
public interface IRlFeeRuleService
{
    /**
     * 查询收费模板
     *
     * @param ruleId 收费模板主键
     * @return 收费模板
     */
    public RlFeeRule selectRlFeeRuleByRuleId(Long ruleId);

    /**
     * 查询收费模板列表
     *
     * @param rlFeeRule 收费模板
     * @return 收费模板集合
     */
    public List<RlFeeRule> selectRlFeeRuleList(RlFeeRule rlFeeRule);

    /**
     * 查询收费模板列表
     *
     * @param modelId 车型id
     * @return 收费模板集合
     */
    public List<RlFeeRule> selectRlFeeRuleListByModelId(Long modelId);

    /**
     * 查询收费模板列表ids
     *
     * @param modelId 车型id
     * @return 收费模板集合
     */
    public List<Long> selectRlFeeRuleLongListByModelId(Long modelId);

    /**
     * 新增收费模板
     *
     * @param rlFeeRule 收费模板
     * @return 结果
     */
    public int insertRlFeeRule(RlFeeRule rlFeeRule);

    /**
     * 修改收费模板
     *
     * @param rlFeeRule 收费模板
     * @return 结果
     */
    public int updateRlFeeRule(RlFeeRule rlFeeRule);

    /**
     * 批量删除收费模板
     *
     * @param ruleIds 需要删除的收费模板主键集合
     * @return 结果
     */
    public int deleteRlFeeRuleByRuleIds(Long[] ruleIds);

    /**
     * 删除收费模板信息
     *
     * @param ruleId 收费模板主键
     * @return 结果
     */
    public int deleteRlFeeRuleByRuleId(Long ruleId);
}
