package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.RlFunction;

/**
 * 功能Service接口
 *
 * @author ruoyi
 * @date 2024-09-26
 */
public interface IRlFunctionService
{
    /**
     * 查询功能
     *
     * @param functionId 功能主键
     * @return 功能
     */
    public RlFunction selectRlFunctionByFunctionId(Long functionId);

    /**
     * 查询功能列表
     *
     * @param rlFunction 功能
     * @return 功能集合
     */
    public List<RlFunction> selectRlFunctionList(RlFunction rlFunction);

    /**
     * 新增功能
     *
     * @param rlFunction 功能
     * @return 结果
     */
    public int insertRlFunction(RlFunction rlFunction);

    /**
     * 修改功能
     *
     * @param rlFunction 功能
     * @return 结果
     */
    public int updateRlFunction(RlFunction rlFunction);

    /**
     * 批量删除功能
     *
     * @param functionIds 需要删除的功能主键集合
     * @return 结果
     */
    public int deleteRlFunctionByFunctionIds(Long[] functionIds);

    /**
     * 删除功能信息
     *
     * @param functionId 功能主键
     * @return 结果
     */
    public int deleteRlFunctionByFunctionId(Long functionId);

    /**
     * 根据车型id获取功能
     */
    List<RlFunction> selectRlFunctionByModelId(Long modelId);
}
