package com.ruoyi.system.service;

import com.ruoyi.system.domain.modelAccessory.RlModelAccessory;

import java.util.List;

/**
 * 车型配件关联Service接口
 *
 * @author qzz
 * @date 2024-10-10
 */
public interface IRlModelAccessoryService
{
    /**
     * 查询车型配件关联
     *
     * @param modelId 车型配件关联主键
     * @return 车型配件关联
     */
    public RlModelAccessory selectRlModelAccessoryByModelId(Long modelId);

    /**
     * 查询车型配件关联列表
     *
     * @param rlModelAccessory 车型配件关联
     * @return 车型配件关联集合
     */
    public List<RlModelAccessory> selectRlModelAccessoryList(RlModelAccessory rlModelAccessory);

    /**
     * 新增车型配件关联
     *
     * @param rlModelAccessory 车型配件关联
     * @return 结果
     */
    public int insertRlModelAccessory(RlModelAccessory rlModelAccessory);

    /**
     * 修改车型配件关联
     *
     * @param rlModelAccessory 车型配件关联
     * @return 结果
     */
    public int updateRlModelAccessory(RlModelAccessory rlModelAccessory);

    /**
     * 批量删除车型配件关联
     *
     * @param modelIds 需要删除的车型配件关联主键集合
     * @return 结果
     */
    public int deleteRlModelAccessoryByModelIds(Long[] modelIds);

    /**
     * 删除车型配件关联信息
     *
     * @param modelId 车型配件关联主键
     * @return 结果
     */
    public int deleteRlModelAccessoryByModelId(Long modelId);
}
