package com.ruoyi.system.service;

import com.ruoyi.system.domain.withdraw.RlWithdraw;
import com.ruoyi.system.domain.withdraw.RlWithdrawVO;

import java.math.BigDecimal;
import java.util.List;

/**
 * 提现记录Service接口
 *
 * @author qzz
 * @date 2024-09-28
 */
public interface IRlWithdrawService
{
    /**
     * 查询提现记录
     *
     * @param id 提现记录主键
     * @return 提现记录
     */
    public RlWithdrawVO selectRlWithdrawById(Long id);

    /**
     * 查询提现记录列表
     *
     * @param rlWithdraw 提现记录
     * @return 提现记录集合
     */
    public List<RlWithdraw> selectRlWithdrawList(RlWithdraw rlWithdraw);

    /**
     * 新增提现记录
     *
     * @param rlWithdraw 提现记录
     * @return 结果
     */
    public int insertRlWithdraw(RlWithdraw rlWithdraw);

    /**
     * 修改提现记录
     *
     * @param rlWithdraw 提现记录
     * @return 结果
     */
    public int updateRlWithdraw(RlWithdraw rlWithdraw);

    /**
     * 批量删除提现记录
     *
     * @param ids 需要删除的提现记录主键集合
     * @return 结果
     */
    public int deleteRlWithdrawByIds(Long[] ids);

    /**
     * 删除提现记录信息
     *
     * @param id 提现记录主键
     * @return 结果
     */
    public int deleteRlWithdrawById(Long id);

    /**
     * 累计提现金额
     *
     * @param userId 用户id
     * @return 结果
     */
    BigDecimal cumulativeWithdrawalAmount(Long userId);
}
