package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.citycode.RlCityCode;
import com.ruoyi.system.mapper.RlCityCodeMapper;
import com.ruoyi.system.service.IRlCityCodeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 城市区号Service业务层处理
 *
 * @author qzz
 * @date 2024-09-19
 */
@Service
public class RlCityCodeServiceImpl implements IRlCityCodeService
{
    @Resource
    private RlCityCodeMapper rlCityCodeMapper;

    /**
     * 查询城市区号
     *
     * @param code 城市区号
     * @return 城市区号
     */
    @Override
    public RlCityCode selectRlCityCodeByCode(String code)
    {
        return rlCityCodeMapper.selectRlCityCodeByCode(code);
    }


    /**
     * 查询城市区号列表
     *
     * @param rlCityCode 城市区号
     * @return 城市区号
     */
    @Override
    public List<RlCityCode> selectRlCityCodeList(RlCityCode rlCityCode)
    {
        return rlCityCodeMapper.selectRlCityCodeList(rlCityCode);
    }

    /**
     * 新增城市区号
     *
     * @param rlCityCode 城市区号
     * @return 结果
     */
    @Override
    public int insertRlCityCode(RlCityCode rlCityCode)
    {
        return rlCityCodeMapper.insertRlCityCode(rlCityCode);
    }

    /**
     * 修改城市区号
     *
     * @param rlCityCode 城市区号
     * @return 结果
     */
    @Override
    public int updateRlCityCode(RlCityCode rlCityCode)
    {
        return rlCityCodeMapper.updateRlCityCode(rlCityCode);
    }

    /**
     * 批量删除城市区号
     *
     * @param codeIds 需要删除的城市区号主键
     * @return 结果
     */
    @Override
    public int deleteRlCityCodeByCodeIds(Long[] codeIds)
    {
        return rlCityCodeMapper.deleteRlCityCodeByCodeIds(codeIds);
    }

    /**
     * 删除城市区号信息
     *
     * @param codeId 城市区号主键
     * @return 结果
     */
    @Override
    public int deleteRlCityCodeByCodeId(Long codeId)
    {
        return rlCityCodeMapper.deleteRlCityCodeByCodeId(codeId);
    }
}
