package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.RlCommandLog;
import com.ruoyi.system.mapper.RlCommandLogMapper;
import com.ruoyi.system.service.IRlCommandLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 命令日志Service业务层处理
 *
 * @author 邱贞招
 * @date 2024-07-06
 */
@Service
public class RlCommandLogServiceImpl implements IRlCommandLogService
{
    @Autowired
    private RlCommandLogMapper rlCommandLogMapper;

    /**
     * 查询命令日志
     *
     * @param id 命令日志主键
     * @return 命令日志
     */
    @Override
    public RlCommandLog selectEtCommandLogById(Long id)
    {
        return rlCommandLogMapper.selectEtCommandLogById(id);
    }

    /**
     * 查询命令日志列表
     *
     * @param rlCommandLog 命令日志
     * @return 命令日志
     */
    @Override
    public List<RlCommandLog> selectEtCommandLogList(RlCommandLog rlCommandLog)
    {
        return rlCommandLogMapper.selectEtCommandLogList(rlCommandLog);
    }

    /**
     * 新增命令日志
     *
     * @param rlCommandLog 命令日志
     * @return 结果
     */
    @Override
    public int insertEtCommandLog(RlCommandLog rlCommandLog)
    {
        return rlCommandLogMapper.insertEtCommandLog(rlCommandLog);
    }

    /**
     * 修改命令日志
     *
     * @param rlCommandLog 命令日志
     * @return 结果
     */
    @Override
    public int updateEtCommandLog(RlCommandLog rlCommandLog)
    {
        return rlCommandLogMapper.updateEtCommandLog(rlCommandLog);
    }

    /**
     * 批量删除命令日志
     *
     * @param ids 需要删除的命令日志主键
     * @return 结果
     */
    @Override
    public int deleteEtCommandLogByIds(Long[] ids)
    {
        return rlCommandLogMapper.deleteEtCommandLogByIds(ids);
    }

    /**
     * 删除命令日志信息
     *
     * @param id 命令日志主键
     * @return 结果
     */
    @Override
    public int deleteEtCommandLogById(Long id)
    {
        return rlCommandLogMapper.deleteEtCommandLogById(id);
    }
}
