package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.RlFunctionMapper;
import com.ruoyi.system.domain.RlFunction;
import com.ruoyi.system.service.IRlFunctionService;

/**
 * 功能Service业务层处理
 *
 * @author ruoyi
 * @date 2024-09-26
 */
@Service
public class RlFunctionServiceImpl implements IRlFunctionService
{
    @Autowired
    private RlFunctionMapper rlFunctionMapper;

    /**
     * 查询功能
     *
     * @param functionId 功能主键
     * @return 功能
     */
    @Override
    public RlFunction selectRlFunctionByFunctionId(Long functionId)
    {
        return rlFunctionMapper.selectRlFunctionByFunctionId(functionId);
    }

    /**
     * 查询功能列表
     *
     * @param rlFunction 功能
     * @return 功能
     */
    @Override
    public List<RlFunction> selectRlFunctionList(RlFunction rlFunction)
    {
        return rlFunctionMapper.selectRlFunctionList(rlFunction);
    }

    /**
     * 新增功能
     *
     * @param rlFunction 功能
     * @return 结果
     */
    @Override
    public int insertRlFunction(RlFunction rlFunction)
    {
        return rlFunctionMapper.insertRlFunction(rlFunction);
    }

    /**
     * 修改功能
     *
     * @param rlFunction 功能
     * @return 结果
     */
    @Override
    public int updateRlFunction(RlFunction rlFunction)
    {
        return rlFunctionMapper.updateRlFunction(rlFunction);
    }

    /**
     * 批量删除功能
     *
     * @param functionIds 需要删除的功能主键
     * @return 结果
     */
    @Override
    public int deleteRlFunctionByFunctionIds(Long[] functionIds)
    {
        return rlFunctionMapper.deleteRlFunctionByFunctionIds(functionIds);
    }

    /**
     * 删除功能信息
     *
     * @param functionId 功能主键
     * @return 结果
     */
    @Override
    public int deleteRlFunctionByFunctionId(Long functionId)
    {
        return rlFunctionMapper.deleteRlFunctionByFunctionId(functionId);
    }

    /**
     * 根据车型id获取功能
     */
    @Override
    public List<RlFunction> selectRlFunctionByModelId(Long modelId) {
        return rlFunctionMapper.selectRlFunctionByModelId(modelId);
    }
}
