package com.ruoyi.system.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.RlHardwareVersion;
import com.ruoyi.system.mapper.RlHardwareVersionMapper;
import com.ruoyi.system.service.IRlHardwareVersionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 硬件版本Service业务层处理
 *
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
@Service
public class RlHardwareVersionServiceImpl implements IRlHardwareVersionService
{
    @Resource
    private RlHardwareVersionMapper rlHardwareVersionMapper;

    /**
     * 查询硬件版本
     *
     * @param id 硬件版本主键
     * @return 硬件版本
     */
    @Override
    public RlHardwareVersion selectEHardwareVersionById(Long id)
    {
        return rlHardwareVersionMapper.selectEHardwareVersionById(id);
    }

    /**
     * 查询硬件版本列表
     *
     * @param RlHardwareVersion 硬件版本
     * @return 硬件版本
     */
    @Override
    public List<RlHardwareVersion> selectEHardwareVersionList(RlHardwareVersion RlHardwareVersion)
    {
        return rlHardwareVersionMapper.selectEHardwareVersionList(RlHardwareVersion);
    }

    /**
     * 新增硬件版本
     *
     * @param RlHardwareVersion 硬件版本
     * @return 结果
     */
    @Override
    public int insertEHardwareVersion(RlHardwareVersion RlHardwareVersion)
    {
        RlHardwareVersion.setCreateTime(DateUtils.getNowDate());
        return rlHardwareVersionMapper.insertEHardwareVersion(RlHardwareVersion);
    }

    /**
     * 修改硬件版本
     *
     * @param RlHardwareVersion 硬件版本
     * @return 结果
     */
    @Override
    public int updateEHardwareVersion(RlHardwareVersion RlHardwareVersion)
    {
        return rlHardwareVersionMapper.updateEHardwareVersion(RlHardwareVersion);
    }

    /**
     * 批量删除硬件版本
     *
     * @param ids 需要删除的硬件版本主键
     * @return 结果
     */
    @Override
    public int deleteEHardwareVersionByIds(Long[] ids)
    {
        return rlHardwareVersionMapper.deleteEHardwareVersionByIds(ids);
    }

    /**
     * 删除硬件版本信息
     *
     * @param id 硬件版本主键
     * @return 结果
     */
    @Override
    public int deleteEHardwareVersionById(Long id)
    {
        return rlHardwareVersionMapper.deleteEHardwareVersionById(id);
    }
}
