package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.domain.modelAccessory.RlModelAccessory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.RlModelAccessoryMapper;
import com.ruoyi.system.service.IRlModelAccessoryService;

/**
 * 车型配件关联Service业务层处理
 *
 * @author qzz
 * @date 2024-10-10
 */
@Service
public class RlModelAccessoryServiceImpl implements IRlModelAccessoryService
{
    @Autowired
    private RlModelAccessoryMapper rlModelAccessoryMapper;

    /**
     * 查询车型配件关联
     *
     * @param modelId 车型配件关联主键
     * @return 车型配件关联
     */
    @Override
    public RlModelAccessory selectRlModelAccessoryByModelId(Long modelId)
    {
        return rlModelAccessoryMapper.selectRlModelAccessoryByModelId(modelId);
    }

    /**
     * 查询车型配件关联列表
     *
     * @param rlModelAccessory 车型配件关联
     * @return 车型配件关联
     */
    @Override
    public List<RlModelAccessory> selectRlModelAccessoryList(RlModelAccessory rlModelAccessory)
    {
        return rlModelAccessoryMapper.selectRlModelAccessoryList(rlModelAccessory);
    }

    /**
     * 新增车型配件关联
     *
     * @param rlModelAccessory 车型配件关联
     * @return 结果
     */
    @Override
    public int insertRlModelAccessory(RlModelAccessory rlModelAccessory)
    {
        return rlModelAccessoryMapper.insertRlModelAccessory(rlModelAccessory);
    }

    /**
     * 修改车型配件关联
     *
     * @param rlModelAccessory 车型配件关联
     * @return 结果
     */
    @Override
    public int updateRlModelAccessory(RlModelAccessory rlModelAccessory)
    {
        return rlModelAccessoryMapper.updateRlModelAccessory(rlModelAccessory);
    }

    /**
     * 批量删除车型配件关联
     *
     * @param modelIds 需要删除的车型配件关联主键
     * @return 结果
     */
    @Override
    public int deleteRlModelAccessoryByModelIds(Long[] modelIds)
    {
        return rlModelAccessoryMapper.deleteRlModelAccessoryByModelIds(modelIds);
    }

    /**
     * 删除车型配件关联信息
     *
     * @param modelId 车型配件关联主键
     * @return 结果
     */
    @Override
    public int deleteRlModelAccessoryByModelId(Long modelId)
    {
        return rlModelAccessoryMapper.deleteRlModelAccessoryByModelId(modelId);
    }
}
