package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.modelStore.RlModelStore;
import com.ruoyi.system.mapper.RlModelStoreMapper;
import com.ruoyi.system.service.IRlModelStoreService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 车型店铺关系Service业务层处理
 *
 * @author qzz
 * @date 2024-09-25
 */
@Service
public class RlModelStoreServiceImpl implements IRlModelStoreService
{
    @Resource
    private RlModelStoreMapper rlModelStoreMapper;

    /**
     * 查询车型店铺关系
     *
     * @param modeId 车型店铺关系主键
     * @return 车型店铺关系
     */
    @Override
    public RlModelStore selectRlModelStoreByModeId(Long modeId)
    {
        return rlModelStoreMapper.selectRlModelStoreByModeId(modeId);
    }

    /**
     * 查询车型店铺关系列表
     *
     * @param rlModelStore 车型店铺关系
     * @return 车型店铺关系
     */
    @Override
    public List<RlModelStore> selectRlModelStoreList(RlModelStore rlModelStore)
    {
        return rlModelStoreMapper.selectRlModelStoreList(rlModelStore);
    }


    /**
     * 新增车型店铺关系
     *
     * @param rlModelStore 车型店铺关系
     * @return 结果
     */
    @Override
    public int insertRlModelStore(RlModelStore rlModelStore)
    {
        return rlModelStoreMapper.insertRlModelStore(rlModelStore);
    }

    /**
     * 修改车型店铺关系
     *
     * @param rlModelStore 车型店铺关系
     * @return 结果
     */
    @Override
    public int updateRlModelStore(RlModelStore rlModelStore)
    {
        return rlModelStoreMapper.updateRlModelStore(rlModelStore);
    }

    /**
     * 批量删除车型店铺关系
     *
     * @param modeIds 需要删除的车型店铺关系主键
     * @return 结果
     */
    @Override
    public int deleteRlModelStoreByModeIds(Long[] modeIds)
    {
        return rlModelStoreMapper.deleteRlModelStoreByModeIds(modeIds);
    }

    /**
     * 删除车型店铺关系信息
     *
     * @param modeId 车型店铺关系主键
     * @return 结果
     */
    @Override
    public int deleteRlModelStoreByModeId(Long modeId)
    {
        return rlModelStoreMapper.deleteRlModelStoreByModeId(modeId);
    }

    /**
     * 根据店铺id删除车型店铺关系信息
     *
     * @param storeId 店铺id
     * @return 结果
     */
    @Override
    public int deleteRlModelStoreByStoreId(Long storeId) {
        return rlModelStoreMapper.deleteRlModelStoreByStoreId(storeId);
    }
}
