package com.ruoyi.system.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.RlMsgLog;
import com.ruoyi.system.mapper.RlMsgLogMapper;
import com.ruoyi.system.service.IRlMsgLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 短信日志Service业务层处理
 *
 * @author qiuzhenzhen
 * @date 2024-07-24
 */
@Service
public class RlMsgLogServiceImpl implements IRlMsgLogService
{
    @Autowired
    private RlMsgLogMapper rlMsgLogMapper;

    /**
     * 查询短信日志
     *
     * @param id 短信日志主键
     * @return 短信日志
     */
    @Override
    public RlMsgLog selectEtMsgLogById(Long id)
    {
        return rlMsgLogMapper.selectEtMsgLogById(id);
    }

    /**
     * 查询短信日志列表
     *
     * @param rlMsgLog 短信日志
     * @return 短信日志
     */
    @Override
    public List<RlMsgLog> selectEtMsgLogList(RlMsgLog rlMsgLog)
    {
        return rlMsgLogMapper.selectEtMsgLogList(rlMsgLog);
    }

    /**
     * 新增短信日志
     *
     * @param rlMsgLog 短信日志
     * @return 结果
     */
    @Override
    public int insertEtMsgLog(RlMsgLog rlMsgLog)
    {
        rlMsgLog.setCreateTime(DateUtils.getNowDate());
        return rlMsgLogMapper.insertEtMsgLog(rlMsgLog);
    }

    /**
     * 修改短信日志
     *
     * @param rlMsgLog 短信日志
     * @return 结果
     */
    @Override
    public int updateEtMsgLog(RlMsgLog rlMsgLog)
    {
        return rlMsgLogMapper.updateEtMsgLog(rlMsgLog);
    }

    /**
     * 批量删除短信日志
     *
     * @param ids 需要删除的短信日志主键
     * @return 结果
     */
    @Override
    public int deleteEtMsgLogByIds(Long[] ids)
    {
        return rlMsgLogMapper.deleteEtMsgLogByIds(ids);
    }

    /**
     * 删除短信日志信息
     *
     * @param id 短信日志主键
     * @return 结果
     */
    @Override
    public int deleteEtMsgLogById(Long id)
    {
        return rlMsgLogMapper.deleteEtMsgLogById(id);
    }
}
