package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.domain.userExt.RlUserExt;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.RlUserExtMapper;
import com.ruoyi.system.service.IRlUserExtService;

/**
 * 用户扩展Service业务层处理
 *
 * @author qzz
 * @date 2024-10-07
 */
@Service
public class RlUserExtServiceImpl implements IRlUserExtService
{
    @Autowired
    private RlUserExtMapper rlUserExtMapper;

    /**
     * 查询用户扩展
     *
     * @param extId 用户扩展主键
     * @return 用户扩展
     */
    @Override
    public RlUserExt selectRlUserExtByExtId(Long extId)
    {
        return rlUserExtMapper.selectRlUserExtByExtId(extId);
    }

    /**
     * 查询用户扩展
     *
     * @param userId 用户id
     * @return 用户扩展
     */
    @Override
    public RlUserExt selectRlUserExtByUserId(Long userId) {
        return rlUserExtMapper.selectRlUserExtByUserId(userId);
    }

    /**
     * 查询用户扩展列表
     *
     * @param rlUserExt 用户扩展
     * @return 用户扩展
     */
    @Override
    public List<RlUserExt> selectRlUserExtList(RlUserExt rlUserExt)
    {
        return rlUserExtMapper.selectRlUserExtList(rlUserExt);
    }

    /**
     * 新增用户扩展
     *
     * @param rlUserExt 用户扩展
     * @return 结果
     */
    @Override
    public int insertRlUserExt(RlUserExt rlUserExt)
    {
        return rlUserExtMapper.insertRlUserExt(rlUserExt);
    }

    /**
     * 修改用户扩展
     *
     * @param rlUserExt 用户扩展
     * @return 结果
     */
    @Override
    public int updateRlUserExt(RlUserExt rlUserExt)
    {
        return rlUserExtMapper.updateRlUserExt(rlUserExt);
    }

    /**
     * 批量删除用户扩展
     *
     * @param extIds 需要删除的用户扩展主键
     * @return 结果
     */
    @Override
    public int deleteRlUserExtByExtIds(Long[] extIds)
    {
        return rlUserExtMapper.deleteRlUserExtByExtIds(extIds);
    }

    /**
     * 删除用户扩展信息
     *
     * @param extId 用户扩展主键
     * @return 结果
     */
    @Override
    public int deleteRlUserExtByExtId(Long extId)
    {
        return rlUserExtMapper.deleteRlUserExtByExtId(extId);
    }

    /**
     * 根据userId删除用户扩展信息
     *
     * @param userId 用户id
     * @return 结果
     */
    @Override
    public int deleteRlUserExtByUserId(Long userId)
    {
        return rlUserExtMapper.deleteRlUserExtByUserId(userId);
    }

}
